Bug 817092 - create results in ERROR
create results in ERROR
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mark McLoughlin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 12:38 EDT by Steven Dake
Modified: 2016-04-27 00:42 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:31:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Dake 2012-04-27 12:38:57 EDT
Description of problem:
(Using QPID RPC)
from compute.log:

I have only seen this a few times out of hundreds of runs, but get the following stack trace out of nova:

2012-04-27 09:17:16 TRACE nova.rpc.amqp Traceback (most recent call last):
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/rpc/amqp.py", line 252, in _process_data
2012-04-27 09:17:16 TRACE nova.rpc.amqp     rval = node_func(context=ctxt, **node_args)
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/exception.py", line 114, in wrapped
2012-04-27 09:17:16 TRACE nova.rpc.amqp     return f(*args, **kw)
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 177, in decorated_function
2012-04-27 09:17:16 TRACE nova.rpc.amqp     sys.exc_info())
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib64/python2.7/contextlib.py", line 24, in __exit__
2012-04-27 09:17:16 TRACE nova.rpc.amqp     self.gen.next()
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 171, in decorated_function
2012-04-27 09:17:16 TRACE nova.rpc.amqp     return function(self, context, instance_uuid, *args, **kwargs)
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 651, in run_instance
2012-04-27 09:17:16 TRACE nova.rpc.amqp     do_run_instance()
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/utils.py", line 946, in inner
2012-04-27 09:17:16 TRACE nova.rpc.amqp     retval = f(*args, **kwargs)
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 650, in do_run_instance
2012-04-27 09:17:16 TRACE nova.rpc.amqp     self._run_instance(context, instance_uuid, **kwargs)
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 451, in _run_instance
2012-04-27 09:17:16 TRACE nova.rpc.amqp     self._set_instance_error_state(context, instance_uuid)
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib64/python2.7/contextlib.py", line 24, in __exit__
2012-04-27 09:17:16 TRACE nova.rpc.amqp     self.gen.next()
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 419, in _run_instance
2012-04-27 09:17:16 TRACE nova.rpc.amqp     self._check_instance_not_already_created(context, instance)
2012-04-27 09:17:16 TRACE nova.rpc.amqp   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 481, in _check_instance_not_already_created
2012-04-27 09:17:16 TRACE nova.rpc.amqp     raise exception.Invalid(_msg)

Version-Release number of selected component (if applicable):
openstack-nova
Name        : openstack-nova
Version     : 2012.1
Release     : 2.fc16


How reproducible:
rare.

Steps to Reproduce:
1. no reproducers - atm this bug is a placeholder for further information
2.
3.
  
Actual results:
an invalid message exception is raised

Expected results:
no invalid exception raised

Additional info:
Comment 1 Russell Bryant 2012-06-09 05:11:31 EDT
Still having a problem with these, Steve?
Comment 2 Steven Dake 2012-06-10 21:09:07 EDT
have not for awhile.
Comment 3 Fedora End Of Life 2013-01-16 10:10:26 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 11:31:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.